/// <reference types="node" />
import { Address } from "./address";
export declare class Signature {
    private readonly buffer;
    constructor(buffer: Buffer);
    static fromRSV(r: Buffer, s: Buffer, v: number): Signature;
    static fromDigest(digest: Buffer, address: Address, r: Buffer, s: Buffer): Signature;
    get r(): Buffer;
    get s(): Buffer;
    get v(): number;
    get recovery(): number;
    isCompatibleEip2(): boolean;
    toString(): string;
}
