/// <reference types="node" />
import { KMSClientConfig } from "@aws-sdk/client-kms";
import { Signer } from "./signer";
import { Signature } from "../signature";
import { Address } from "../address";
export declare class KmsSigner implements Signer {
    private readonly keyId;
    private readonly client;
    constructor(keyId: string, config?: KMSClientConfig);
    sign(digest: Buffer): Promise<Signature>;
    getAddress(): Promise<Address>;
    getPublicKey(): Promise<Buffer>;
    private _sign;
}
